/**
 * @file Problema7.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 7
 * @version 1.0
 * @date 02/03/2022
 * 
 */


/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <conio.h>
using namespace std;
/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
float km_recorridos=0.0;
float total_mount=0.0;

/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void calculus();
void collect_Data();
void Show_results();
void Run();
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
int main(){
Run();
}
/*******************************************************************************************************************************************
 *  												FUNCTION DEFINITION
 *******************************************************************************************************************************************/
void collect_Data(){
	cout<<"enter total kilometers : ";
    cin>>km_recorridos;
}
void Show_results(){
	cout<<"The final mount is : /S." <<total_mount<<"\n";	
}
void Run(){
	collect_Data();
	calculus();
	Show_results();
    getch();
}
void calculus(){
    if(km_recorridos<=300){
        total_mount=250.0;
    }
    else if(km_recorridos<=1000){
        total_mount=250.0+(km_recorridos-300.0)*30.0;
    }
    else{
        total_mount=250.0+(700.0)*30.0+(km_recorridos-1000.0)*30.0;
    }
}